# Get BI Views Retrieves the data from a BI view during the specified time period in a CSV file. Use the fromDate and toDate parameters to specify the time period for which data is to be queried. You can also use the count parameter to get the row count for the queried bi view data. Endpoint: GET /api/integration/v1/biviews/{view_name} Version: 2025-08-06 ## Header parameters: - `token` (string, required) The valid authentication token that is generated by the Authentication operation. ## Path parameters: - `view_name` (string, required) Name of the BI view. ## Query parameters: - `clientId` (integer, required) The ID of the Zuora Revenue application user. - `fromDate` (string, required) The date from which the data query begins. - `toDate` (string, required) The date on which the data query ends. - `pagenum` (integer, required) The number of page to download. - `pagesize` (integer) The number of records to be downloaded per request. The default is 1000 and the maximum is 10000. - `count` (boolean) Set to true to get the row count of the BI view for the specified time period. Note: Setting this parameter to true might cause timeout errors for large volume scenarios. ## Response 200 fields ## Response 204 fields ## Response 400 fields ## Response 401 fields